Subject: RE: [Mip4] HA=0.0.0.0 question (HA Discovery)

From: "Kent Leung \(kleung\)" <[email-masked]>
Date: Tue, 19 Jul 2005 10:57:04 -0700

Hi Wable.  Comments below.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Ranjitsinh Wable
> Sent: Tuesday, July 19, 2005 2:03 AM
> To: Pete McCann
> Cc: Tsirtsis, George; [email-masked]
> Subject: Re: [Mip4] HA=0.0.0.0 question (HA Discovery)
> 
> Hi Pete,
> 
> Thanks for the information. I just gone through the draft.
> I have some opinion on the problem discussed.
> 
> About the Legacy FA as George said the approach of sending 
> the error code looks better. If we see the RFC 3344 section 
> 3.6.1.2 says that we MUST have the HA field set to HA address 
> (which implicitly means unicast routable address)  or MUST 
> have Subnet Broadcast address. It does not explicitly say 
> that it should not send error for any other address. But we 
> should be treating it same way.
> So the Legacy Nodes which does these checks will surely send 
> the Error Message.
> 

Agree, there are explicit "MUST" for MN transmission of RRQ.  There's no
explicit specification for validity checking on FA processing of RRQ.
So I've suggested new text to cover either case for backward
compatibility.

> Also if the MN is having he Requested HA. It can use the 
> option directly in the HA field (without finding out FA as Legacy).
> as described in point 2 of section 4.1 of draft 
> draft-ietf-mip4-dynamic-assignment-04.txt
> 

Yes.

> So the problem of the Legacy FA will be in a case when MN 
> don't have Requested HA address. In such way anyway we can 
> not proceed if the FA is not going to help us in resolving 
> the HA address.
> 

Yes.

I hope this issue is addressed now?

Kent

> Correct me if I am wrong or missed any point.
> 
> Thanks and Regards,
> 
> Wable R. U.
> 
> ----- Original Message -----
> From: "Tsirtsis, George" <[email-masked]>
> To: "Pete McCann" <[email-masked]>; "Ranjitsinh Wable" 
> <[email-masked]>
> Cc: <[email-masked]>
> Sent: Tuesday, July 19, 2005 12:42 AM
> Subject: RE: [Mip4] HA=0.0.0.0 question (HA Discovery)
> 
> Hi everyone....have not been here for a while....
> 
> I think the paragraph quoted below should be removed from the 
> draft since it is not possible to suggest what "legacy" 
> equipment need to do in addition to what the already do. One 
> can only observe what the reaction of an existing 
> implementation might be based on the legacy specification.
> 
> A legacy FA will probably support just what is in RFC3344, 
> which does not include the idea of HA==0. I would guess that 
> such an FA might just return a RREP with Code==70 "poorly 
> formed Request".
> 
> Regards
> George
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] 
> On Behalf 
> > Of Pete McCann
> > Sent: Monday, July 18, 2005 10:37 AM
> > To: Ranjitsinh Wable
> > Cc: [email-masked]
> > Subject: [Mip4] HA=0.0.0.0 question (HA Discovery)
> >
> >
> >
> > Hi,
> >
> > The use of ALL-ZERO-ONE-ADDR for the HA address is specified in 
> > draft-ietf-mip4-dynamic-assignment-04.txt.  This may be a good 
> > opportunity to remind the group that we should still be 
> discussing the 
> > resolution of Thomas Narten's comment on this draft, namely:
> >
> > > >    Legacy Foreign Agent:
> > > >
> > > >    Legacy foreign agents may forward a Registration
> > Request with home
> > > >    agent field set to ALL-ZERO-ONE-ADDR by setting the
> > destination IP
> > > >    address to ALL-ZERO-ONE-ADDR.  This will result packet
> > being dropped
> > > >    or incidentally handled by a next hop HA, adjacent to
> > the FA.
> > >
> > > hmm. how does one distinguish network connectivity problems
> > from "not
> > > implemented"? I.e, what recovery action does a MN take in this 
> > > situation?
> >
> > We have had some discussion on this but I am not sure we reached a 
> > final conclusion.
> >
> > -Pete
> >
> >
> > Ranjitsinh Wable writes:
> >  > Hi all,
> >  >
> >  > Here I am having small question regarding the MIPv4.
> >  > Few days back on the mailing list I saw the discussion  
> > about the 
> > HoA being 0.0.0.0 but what if the HA address  > itself is zero. RFC 
> > 3344 does not talk about this case.
> >  > It talks about the dynamic HA discovery using the  > subnet 
> > broacast messages.
> >  >
> >  > What if the HA address in the RRQ is 0.0.0.0.
> >  > Is it the same procedure to resolve the HA address  > 
> using NAI of 
> > the MN and AAA server?
> >  >
> >  > Is there any standard stating the use of NAI of MN  > to resolve 
> > the HA of MN.
> >  >
> >  > Thanks in advance.
> >  >
> >  > Regards,
> >  >
> >  > Wable R. U.
> >
> >
> > --
> > Mip4 mailing list: [email-masked]
> >     Web interface: https://www1.ietf.org/mailman/listinfo/mip4
> >      Charter page: 
> http://www.ietf.org/html.charters/mip4-charter.html
> > Supplemental site: http://www.mip4.org/
> >
> 
> ===========================================================
> This email may contain confidential and privileged material 
> for the sole use
>  of the intended recipient.  Any review or distribution by others is
> strictly
>  prohibited.  If you are not the intended recipient please contact the
> sender
>  and delete all copies.
> ===========================================================
> 
> 
> 
> 
> -- 
> Mip4 mailing list: [email-masked]
>     Web interface: https://www1.ietf.org/mailman/listinfo/mip4
>      Charter page: http://www.ietf.org/html.charters/mip4-charter.html
> Supplemental site: http://www.mip4.org/
> 

-- 
Mip4 mailing list: [email-masked]
    Web interface: https://www1.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/

---

From: Ranjitsinh Wable <[email-masked]>
Date: Wed, 20 Jul 2005 16:59:22 +0530

Yes, I also think the same.

Thanks and Regards,

Wable

----- Original Message ----- 
From: "Kent Leung (kleung)" <[email-masked]>
To: "Ranjitsinh Wable" <[email-masked]>; "Pete McCann" <[email-masked]>
Cc: "Tsirtsis, George" <[email-masked]>; <[email-masked]>
Sent: Tuesday, July 19, 2005 11:27 PM
Subject: RE: [Mip4] HA=0.0.0.0 question (HA Discovery)

Yes.

Yes.

Kent